Bug 18047 - glibc-2.1.92-14.2.4 locale support broken?
glibc-2.1.92-14.2.4 locale support broken?
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2000-10-01 22:00 EDT by jbowman
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-01 22:00:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jbowman 2000-10-01 22:00:24 EDT
Seems something's wonky with locale support in glibc-2.1.92-14.2.4, which
is included as part of the 'preview' of things to come on the second RedHat
7.0 cd.

After upgrading to 2.4.0-test9pre7 and then installing glibc-2.1.92-14.2.4,
I get the following when I try to run up2date:

[root@merlin /root]# up2date

Gdk-WARNING **: locale not supported by C library

Gdk-WARNING **: locale not supported by C library

Gdk-WARNING **: locale not supported by C library
[root@merlin /root]#

[root@merlin /root]# xterm
Warning: locale not supported by C library, locale unchanged
[root@merlin /root]# 

The same behaviour shows up in both the i386 and i686 versions of the

System is an ABIT BP6 with Celeron 366s, 256mb RAM, 2.4.0-test9pre7 kernel.
.config available if neccesary.

This problem is *not* present with the 'stock' glibc-2.1.92-14 that is
shipped with RedHat 7.0. It's just the preview version that has this
Comment 1 jbowman 2001-02-26 22:38:04 EST
Looks like this was fixed at some point in the errata updates or something.

Note You need to log in before you can comment on or make changes to this bug.